Application: gvSIG desktop - gvSIG bugs #4391
problemas para abrir wms / problems to load wms
10/05/2016 11:03 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: WMS

Target version: 2.5.0-2914 (rev. org.gvsig.deskiop-2.0.242)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2447 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

ES:

problemas para cargar algunas capas wms, por ejemplo.

http://sig.gobierno.gba.gov.ar:80/geoserver/urbasig/wms?

capa zonificacion

carga solo parte de la capa
la informaciéon wms por punto también da un error (ver log adjunto)

en la imagen adjunta se muestra la diferencia entre cargar esta capa en gvSIG 2.3 y Qgis

ES:

Error loading wms layer. example:

http://sig.gobierno.gba.gov.ar:80/geoserver/urbasig/wms?

zonificacion layer

shows only part of it

information by point returns error (check attached log)

attached file shows difference between gvSIG 2.3 and Qgis

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 4495: WMS info by point

Closed

06/15/2017

Associated revisions

Revision 7271 - 06/20/2017 12:29 PM - Francisco Diaz Carsi

refs #4495 #4391

- Fixed "text/plain" info by point in WMS layer.

- Fixed changing bbox axis order in processLayer method.

Revision 7272 - 06/20/2017 01:05 PM - Francisco Diaz Carsi
http://sig.gobierno.gba.gov.ar:80/geoserver/urbasig/wms
http://sig.gobierno.gba.gov.ar:80/geoserver/urbasig/wms

refs #4391
Deshabilitado el botén de conectar mientras se esta abriendo la conexién (y parseando el capabilities) y vuelto a habilitar en caso de que el usuario

cancele la conexioén.

History

#1 - 10/05/2016 11:05 PM - Mario Fevre
view crs: 22175

wms crs: 22185

#2 - 06/08/2017 02:32 PM - Alvaro Anguix
- Status changed from New to Invalid

El servicio parece que ya no funciona, por lo que no es posible comprobar qué estaba pasando.

#3 - 06/08/2017 02:36 PM - Alvaro Anguix

- Category set to WMS

#4 - 06/15/2017 01:41 AM - Mario Fevre

- Status changed from Invalid to Awaiting response
- File log1.zip added

Si bien el servidor utilizado como ejemplo en su instancia inicial ya no esta disponible, presento algunos otros ejemplos verificados en la version 2.4
b2288

http://geobasig.com.ar/geoserver29/Geodesia/wms

http://mapaescolar.dyndns.org/geoserver/mapa/wms

http://ide.pergamino.gob.ar:8080/geoserver/wms

resultado: conecta y carga mensaje de bienvenida, pero no activa boton de siguiente.
log1 adjunto
si insisto con la conexion se cierra gvSIG :(

el mismo servicio en Qgis permite visualizar capas.

http://www.urbasig.minfra.gba.gob.ar/geoserver/urbasig/wms

resultado, se visualiza solo parte de la capa. Y <= 5810897. Qgis muestra la capa completa.

capa: [cuencas_g] cuencas_g

http://mapas.moreno.gob.ar/cgi-bin/mapserv?map=ide

resultado: al no presentar opciones de crs, no permite finalizar la carga de la capa wms. Verificado en Qgis, la capa se puede cargar con informacion,

pero exige al usuario definir el crs.

#5 - 06/15/2017 02:29 AM - Mario Fevre

sumo otro tipo de ejemplo:

http://190.111.246.33:8080/geoserver/BaseTReCC/wms?
queda cargando eternamente la capa. en Qgis funciona ok
crs: 22175

text/plain

image/png

cap: [amba] amba

#6 - 06/15/2017 11:08 AM - Alvaro Anguix
- Status changed from Awaiting response to New

#7 - 06/15/2017 09:30 PM - Joaquin del Cerro Murciano
- Target version set to 2.4.0-2825 (rev. org.gvsig.desktop-2.0.191)

#8 - 06/18/2017 08:42 AM - Joaquin del Cerro Murciano
- Target version changed from 2.4.0-2825 (rev. org.gvsig.desktop-2.0.191) to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#9 - 06/20/2017 01:06 PM - Francisco Diaz Carsi
- Related to gvSIG bugs #4495: WMS info by point added

#10 - 06/20/2017 01:24 PM - Francisco Diaz Carsi

En este tique hay varios problemas.

Los problemas de info by point y de mostrar la capa completa se han resuelto en el tique relacionado #4495.

Paso a explicar la experiencia con los servidores que adjunta Mario Fevre.

Respecto a los 3 primeros:

http://geobasig.com.ar/geoserver29/Geodesia/wms
http://mapaescolar.dyndns.org/geoserver/mapa/wms
http://ide.pergamino.gob.ar:8080/geoserver/wms

resultado: conecta y carga mensaje de bienvenida, pero no activa boton de siguiente.

Si que se conecta y si activa el botén siguiente, pero tarda muchisimo tiempo. Esto es debido a que gvSIG parsea el archivo de capabilities para
obtener el bounding box de cada capa en cada uno de los sistemas de coordenadas que ofrece el servicio. Y, en este caso, son unos 5851 CRS
ofrecidos. Esto hace que le cueste una eternidad.

Para evitar que el usuario intente volver a conectar mientras se esta haciendo este proceso, he deshabilitado dicho botén y lo he vuelto a habilitar en

caso de que el usuario cancele la conexién.

El problema de este servicio: http://www.urbasig.minfra.gba.gob.ar/geoserver/urbasig/wms se ha resuelto segin mi primer comentario.

En este servicio: http://mapas.moreno.gob.ar/cgi-bin/mapserv?map=ide

si se ofrecen proyecciones para elegir, pero ha debido faltar seleccionar una capa en la pestafa de capas.

Y este servicio: http://190.111.246.33:8080/geoserver/BaseTReCC/wms

me ha funcionado sin problemas (tal vez los arreglos comentados arriba han tenido algo que ver).

Dejo la tarea como new por si se desea abordar el problema de los crs en el futuro.

#11 - 06/20/2017 03:01 PM - Alvaro Anguix
- Target version deleted (2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206))
#12 - 07/17/2017 01:03 PM - Antonio Falciano

The CRS issues with WMS layers happen since gvSIG 2.1, at least. Related to #2970.

#13 - 03/14/2019 04:33 PM - Alvaro Anguix
- Target version set to 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242)
- Status changed from New to Closed

He comprado que ahora el WMS es http://www.urbasig.minfra.gba.gob.ar/geoserver/urbasig/wms?

Y probando carga bien en gvSIG (al menos la capa zonificacion mencionada)

Lo cierro

Files

pantalla3.png 368 KB 10/05/2016 Mario Fevre

gvSIG.log 8.94 KB 10/05/2016 Mario Fevre

log1.zip 20.5 KB 06/14/2017 Mario Fevre
